<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the submissions plugin
	 */
	class AdminSubmissionsPluginSettingsView extends AdminPluginTemplatedView
	{

		function AdminSubmissionsPluginSettingsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "submissions", "pluginsettings" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_submissions_enabled" );
			$htmlareaEnabled = $blogSettings->getValue( "plugin_submissions_htmlarea_enabled" );
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "htmlareaEnabled", $htmlareaEnabled );
			
			parent::render();
		}
	}
?>